package com.kingdee.eas.custom.integration.feishu;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFeishuApprovalInstanceTaskListInfo extends com.kingdee.eas.framework.CoreBillEntryBaseInfo implements Serializable 
{
    public AbstractFeishuApprovalInstanceTaskListInfo()
    {
        this("id");
    }
    protected AbstractFeishuApprovalInstanceTaskListInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object: 任务列表 's null property 
     */
    public FeishuApprovalInstanceInfo getParent()
    {
        return (FeishuApprovalInstanceInfo)get("parent");
    }
    public void setParent(FeishuApprovalInstanceInfo item)
    {
        put("parent", item);
    }
    /**
     * Object:任务列表's 审批任务的唯一标识property 
     */
    public String getTaskId()
    {
        return getString("taskId");
    }
    public void setTaskId(String item)
    {
        setString("taskId", item);
    }
    /**
     * Object: 任务列表 's 审批人  property 
     */
    public com.kingdee.eas.base.permission.UserInfo getUser()
    {
        return (com.kingdee.eas.base.permission.UserInfo)get("user");
    }
    public void setUser(com.kingdee.eas.base.permission.UserInfo item)
    {
        put("user", item);
    }
    /**
     * Object: 任务列表 's 审批任务名称 property 
     */
    public FeishuI18nResourcesInfo getTitle()
    {
        return (FeishuI18nResourcesInfo)get("title");
    }
    public void setTitle(FeishuI18nResourcesInfo item)
    {
        put("title", item);
    }
    /**
     * Object:任务列表's PC 端的跳转链接property 
     */
    public String getPcLink()
    {
        return getString("pcLink");
    }
    public void setPcLink(String item)
    {
        setString("pcLink", item);
    }
    /**
     * Object:任务列表's 移动端的跳转链接property 
     */
    public String getMobileLink()
    {
        return getString("mobileLink");
    }
    public void setMobileLink(String item)
    {
        setString("mobileLink", item);
    }
    /**
     * Object:任务列表's 任务状态property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.TaskStatusEnum getStatus()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.TaskStatusEnum.getEnum(getString("status"));
    }
    public void setStatus(com.kingdee.eas.custom.integration.feishu.bizEnum.TaskStatusEnum item)
    {
		if (item != null) {
        setString("status", item.getValue());
		}
    }
    /**
     * Object:任务列表's 扩展字段。JSON 格式property 
     */
    public String getExtra()
    {
        return getString("extra");
    }
    public void setExtra(String item)
    {
        setString("extra", item);
    }
    /**
     * Object:任务列表's 任务创建时间property 
     */
    public java.sql.Time getCreateTime()
    {
        return getTime("createTime");
    }
    public void setCreateTime(java.sql.Time item)
    {
        setTime("createTime", item);
    }
    /**
     * Object:任务列表's 任务完成时间property 
     */
    public java.sql.Time getEndTime()
    {
        return getTime("endTime");
    }
    public void setEndTime(java.sql.Time item)
    {
        setTime("endTime", item);
    }
    /**
     * Object:任务列表's 任务最近更新时间property 
     */
    public java.sql.Time getUpdateTime()
    {
        return getTime("updateTime");
    }
    public void setUpdateTime(java.sql.Time item)
    {
        setTime("updateTime", item);
    }
    /**
     * Object:任务列表's 操作上下文property 
     */
    public String getActionContext()
    {
        return getString("actionContext");
    }
    public void setActionContext(String item)
    {
        setString("actionContext", item);
    }
    /**
     * Object:任务列表's 审批中心列表页打开审批任务的方式property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.DisplayMethodEnum getDisplayMethod()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.DisplayMethodEnum.getEnum(getString("displayMethod"));
    }
    public void setDisplayMethod(com.kingdee.eas.custom.integration.feishu.bizEnum.DisplayMethodEnum item)
    {
		if (item != null) {
        setString("displayMethod", item.getValue());
		}
    }
    /**
     * Object:任务列表's 三方审批任务是否不纳入效率统计property 
     */
    public boolean isExcludeStatistics()
    {
        return getBoolean("excludeStatistics");
    }
    public void setExcludeStatistics(boolean item)
    {
        setBoolean("excludeStatistics", item);
    }
    /**
     * Object:任务列表's 审批节点 IDproperty 
     */
    public String getNodeId()
    {
        return getString("nodeId");
    }
    public void setNodeId(String item)
    {
        setString("nodeId", item);
    }
    /**
     * Object: 任务列表 's 节点名称 property 
     */
    public FeishuI18nResourcesInfo getNodeName()
    {
        return (FeishuI18nResourcesInfo)get("nodeName");
    }
    public void setNodeName(FeishuI18nResourcesInfo item)
    {
        put("nodeName", item);
    }
    /**
     * Object:任务列表's 任务生成类型property 
     */
    public String getGenerateType()
    {
        return getString("generateType");
    }
    public void setGenerateType(String item)
    {
        setString("generateType", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("6C382FE4");
    }
}